CREATE TABLE fnd_audit_attributes (
    WEBAPP                      VARCHAR2(320) ,
    VIEW_OBJECT                 VARCHAR2(960) ,
    VIEW_ATTRIBUTE              VARCHAR2(320) ,
    ENABLED_FLAG                VARCHAR2(4)   ,
    TABLE_NAME                  VARCHAR2(120) ,
    COLUMN_NAME                 VARCHAR2(120) ,
    BOSS_MODULE_NAME            VARCHAR2(280) ,
    BOSS_APP_PACKAGE_NAME       VARCHAR2(1600),
    BOSS_APP_PACKAGE_VERSION    VARCHAR2(256) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128)     NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0) ,
    PK_FLAG                     VARCHAR2(12)  ,
    PARENT_OBJECT               VARCHAR2(960) ,
    EXTENSIBLE_COLUMN_NAME      VARCHAR2(120) ,
    EXTENSIBLE_COLUMN_VALUE     VARCHAR2(960) ,
    AUDIT_SWITCH                VARCHAR2(20)  ,
    WEBAPP                      VARCHAR2(320) ,
    VIEW_OBJECT                 VARCHAR2(960) ,
    VIEW_ATTRIBUTE              VARCHAR2(320) ,
    ENABLED_FLAG                VARCHAR2(4)   ,
    TABLE_NAME                  VARCHAR2(120) ,
    COLUMN_NAME                 VARCHAR2(120) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128)     NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0) ,
    PK_FLAG                     VARCHAR2(12)  ,
    PARENT_OBJECT               VARCHAR2(960) ,
    EXTENSIBLE_COLUMN_NAME      VARCHAR2(120) ,
    EXTENSIBLE_COLUMN_VALUE     VARCHAR2(960) ,
    AUDIT_SWITCH                VARCHAR2(20)  ,
    BOSS_MODULE_NAME            VARCHAR2(280) ,
    BOSS_APP_PACKAGE_NAME       VARCHAR2(1600),
    BOSS_APP_PACKAGE_VERSION    VARCHAR2(256) ,
    CONSTRAINT pk_fnd_audit_attributes PRIMARY KEY (VIEW_OBJECT, VIEW_ATTRIBUTE, PARENT_OBJECT, VIEW_OBJECT, VIEW_ATTRIBUTE, PARENT_OBJECT)
);
